Package org.eclipse.birt.chart.model.attribute

# Enum DateFormatType

java.lang.Object
java.lang.Enum<DateFormatType>
org.eclipse.birt.chart.model.attribute.DateFormatType

All Implemented Interfaces:
  `Serializable`, `Comparable<DateFormatType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum DateFormatType extends Enum<DateFormatType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Date Format Type', and utility methods for working with them. This type defines predefined date format types.

See Also:
  - `AttributePackage.getDateFormatType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FULL_LITERAL`
The 'Full' literal object.
`LONG_LITERAL`
The 'Long' literal object.
`MEDIUM_LITERAL`
The 'Medium' literal object.
`SHORT_LITERAL`
The 'Short' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FULL`
The 'Full' literal value.
`static final int`
`LONG`
The 'Long' literal value.
`static final int`
`MEDIUM`
The 'Medium' literal value.
`static final int`
`SHORT`
The 'Short' literal value.
`static final List<DateFormatType>`
`VALUES`
A public read-only list of all the 'Date Format Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static DateFormatType`
`get(int value)`
Returns the 'Date Format Type' literal with the specified integer value.
`static DateFormatType`
`get(String literal)`
Returns the 'Date Format Type' literal with the specified literal value.
`static DateFormatType`
`getByName(String name)`
Returns the 'Date Format Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static DateFormatType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DateFormatType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LONG_LITERAL

public static final DateFormatType LONG_LITERAL
The 'Long' literal object.

If the meaning of 'Long' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LONG`

### SHORT_LITERAL

public static final DateFormatType SHORT_LITERAL
The 'Short' literal object.

If the meaning of 'Short' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SHORT`

### MEDIUM_LITERAL

public static final DateFormatType MEDIUM_LITERAL
The 'Medium' literal object.

If the meaning of 'Medium' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MEDIUM`

### FULL_LITERAL

public static final DateFormatType FULL_LITERAL
The 'Full' literal object.

If the meaning of 'Full' literal object isn't clear, there really should be more of a description here...

See Also:
  - `FULL`

## Field Details

### LONG

public static final int LONG
The 'Long' literal value.

See Also:
  - `LONG_LITERAL`
  - Constant Field Values

### SHORT

public static final int SHORT
The 'Short' literal value.

See Also:
  - `SHORT_LITERAL`
  - Constant Field Values

### MEDIUM

public static final int MEDIUM
The 'Medium' literal value.

See Also:
  - `MEDIUM_LITERAL`
  - Constant Field Values

### FULL

public static final int FULL
The 'Full' literal value.

See Also:
  - `FULL_LITERAL`
  - Constant Field Values

### VALUES

public static final List<DateFormatType> VALUES
A public read-only list of all the 'Date Format Type' enumerators.

## Method Details

### values

public static DateFormatType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DateFormatType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static DateFormatType get(String literal)
Returns the 'Date Format Type' literal with the specified literal value.

### getByName

public static DateFormatType getByName(String name)
Returns the 'Date Format Type' literal with the specified name.

### get

public static DateFormatType get(int value)
Returns the 'Date Format Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<DateFormatType>`